Package org.eclipse.birt.report.model.api.scripts

# Class ScriptableClassInfo

java.lang.Object
org.eclipse.birt.report.model.api.scripts.ScriptableClassInfo

public class ScriptableClassInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`ScriptableClassInfo()`

## Method Summary

Modifier and Type
Method
Description
`IClassInfo`
`getClass(String className)`
Returns the scriptable class information for the given class full name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptableClassInfo

public ScriptableClassInfo()

## Method Details

### getClass

public IClassInfo getClass(String className)
Returns the scriptable class information for the given class full name.

Parameters:
  `className` -
Returns:
  the class information